Name:           tslib
Version:        1.22
Release:        %mkrel 1
Summary:        Touchscreen Access Library

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://tslib.berlios.de/
Source0:        http://download.berlios.de/tslib/tslib-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool
Provides: libts-0.0.so.0()(64bit)

%description
The idea of tslib is to have a core library that provides standardised
services, and a set of plugins to manage the conversion and filtering as
needed.

The plugins for a particular touchscreen are loaded automatically by the
library under the control of a static configuration file, ts.conf.
ts.conf gives the library basic configuration information.  Each line
specifies one module, and the parameters for that module.  The modules
are loaded in order, with the first one processing the touchscreen data
first. 


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Provides:       devel(libts-0.0(64bit))

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
perl -pi -e 's,^# module_raw input$,module_raw input,' etc/ts.conf
grep "module_raw input" etc/ts.conf

%build
./autogen.sh
%configure2_5x --disable-static
%make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#compatibility link
ln -fs %{_libdir}/libts.so.0.10.4 %buildroot/%{_libdir}/tslib.pclibts-0.0.so.0


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/ts.conf
%{_bindir}/ts*
%{_libdir}/*.so.*
%dir %{_libdir}/ts
%{_libdir}/ts/*.so
%{_mandir}

%files devel
%defattr(-,root,root,-)
%{_includedir}/tslib.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/tslib.pc


%changelog
* Fri Oct 23 2020 tex - 1.22-1pclos2020
- new version

* Thu Jul 21 2011 Galen Seaman <gseaman2186@comcast.net> 1.0-1pclos2011
- First build for PCLinuxOS

